<?php
/**
 * @version    5.0.2
 * @package    Com_Gavoting
 * @author     Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright  2020 Glenn Arkell
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Layout\LayoutHelper;
use \GlennArkell\Component\Gavoting\Administrator\Helper\GavotingHelper;

// Load admin language file
$lang = Factory::getLanguage();
$lang->load('com_gavoting', JPATH_ADMINISTRATOR);

$nominations = $displayData['data'];

/*
echo '<pre>Test<br />';
print_r($nominations->custFlds);
echo '</pre>';
*/

?>
        <?php foreach ($nominations->custFlds AS $custFld) : ?>
            <?php 
                $params = json_decode($custFld->params);
            ?>
            <div class="control-group">
				<div class="control-label">
					<label id="jform_<?php echo $custFld->name; ?>" for="jform_<?php echo $custFld->name; ?>">
						<?php echo $custFld->title; ?>
					</label>
				</div>
				<div class="controls extrawide">
                    <input
                        type="<?php echo $custFld->type; ?>"
                        name="jform[<?php echo $custFld->name; ?>]"
                        class="<?php echo $params->class; ?>"
                        value=""
                    />
				</div>
			</div>
    	<?php endforeach; ?>


